Notus API
Liquidity pools

Collect fees from liquidity

Collects the fees received by the liquidity NFT. This will both create a user operation to be executed and will show how much will be collected, so you can choose if you really want to collect it or not. Always collects the full amount.

POST
/api/v1/liquidity/collect

Authorization

x-api-key
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/liquidity/collect" \  -H "Content-Type: application/json" \  -d '{    "chainId": 42161,    "nftId": "2375619234",    "walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464",    "payGasFeeToken": "0x82af49447d8a07e3bd95bd0d56f35241523fbab1"  }'
{  "operation": {    "liquidityProvider": "UNISWAP_V3",    "walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464",    "toAddress": "0x1337133713371337133713371337133713371337",    "chainId": 42161,    "transactionFeePercent": 2.5,    "payGasFeeToken": "0x82af49447d8a07e3bd95bd0d56f35241523fbab1",    "gasFeePaymentMethod": "ADD_TO_AMOUNT",    "tokenIn": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",    "amountIn": "1.2",    "token0": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f",    "token1": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",    "poolFeePercent": 1,    "minPrice": 83475.12,    "maxPrice": 102300.5,    "slippage": 1.2,    "extraFee": {      "percentage": 1.5,      "toAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464"    },    "metadata": {      "key": "value"    }  }}